Segnalazione # 788 (In elaborazione): Fare pacchetto .deb
tornado.gen.BadYieldError nell'App in jessie
04/10/2019 12:25 PM - Elena Grandi

Status: Chiuso Start date: 04/10/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution:

Description

| test lanciati con nose2-3 tests.test_ webserver. TestWebAPI falliscono perché la response & 500 a causa di un
tornado.gen.BadYieldError: yielded unknown object <generator object get at Ox7faafcf131f8>

Ho indagato in particolare su nose2-3 tests.test_webserver.TestWebAPI.test_ping (gli altri sembrano uguali) e visto che
server.RestGET viene istanziata e initialize@ata con successo, mentre la @get non viene mai eseguita

Associated revisions

Revision 2b826f47 - 04/11/2019 11:37 AM - Elena Grandi
Further compatibility with old tornado. refs: #796

Revision 8c5ff3ed - 04/12/2019 10:49 AM - Elena Grandi
Fix calling of async WebAP| methods. refs: #796

History

#1 - 04/10/2019 03:07 PM - Enrico Zini

- Assignee changed from Enrico Zini to Elena Grandi

Aargh! La so.

Dove c'é:

class ..(tornado.web.RequestHandler) :
@asyncio.coroutine

def get (self, **kwargs):
yield from foo()

Prova a sostituire con:
from tornado.platform.asyncio import to_tornado_future
class ..(tornado.web.RequestHandler) :

@gen.coroutine

def get (self, **kwargs):
yield to_tornado_future (foo())
#2 - 04/12/2019 10:12 AM - Elena Grandi

- Description updated

(fix del primo test nella descrizione)

#3 - 04/12/2019 10:52 AM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Enrico Zini

Con quel suggerimento i test di tests.test_webserver.TestWebAPI| sono a posto, grazie.

Riassegno per review && merge: il branch & oldasync (dato che era stato creato prima del ticket)

#4 - 04/12/2019 03:40 PM - Enrico Zini

- Status changed from Commenti to Chiuso

Visto, mergiato! Chiudo.
